Package org.springframework.cglib.core

# Interface Customizer

All Superinterfaces:
  `KeyFactoryCustomizer`

public interface Customizer extends KeyFactoryCustomizer
Customizes key types for `KeyFactory` when building equals, hashCode, and toString. For customization of field types, use `FieldTypeCustomizer`

See Also:
  - `KeyFactory.CLASS_BY_NAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(CodeEmitter e, Type type)`

## Method Details

### customize

void customize(CodeEmitter e, Type type)